Debian Bug report logs - #550362
epiphany-browser: Crash loading any webpage

version graph

Package: libwebkit-1.0-2; Maintainer for libwebkit-1.0-2 is Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>;

Reported by: Witold Baryluk <baryluk@smp.if.uj.edu.pl>

Date: Fri, 9 Oct 2009 14:18:01 UTC

Severity: serious

Tags: confirmed, moreinfo, patch

Merged with 547177, 559925, 598894, 598956

Found in versions webkit/1.1.17-2, webkit/1.2.4-1, webkit/1.2.5-2

Fixed in version webkit/1.2.5-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, baryluk@smp.if.uj.edu.pl, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Fri, 09 Oct 2009 14:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
New Bug report received and forwarded. Copy sent to baryluk@smp.if.uj.edu.pl, Josselin Mouette <joss@debian.org>. (Fri, 09 Oct 2009 14:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Witold Baryluk <baryluk@smp.if.uj.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: epiphany-browser: Crash loading any webpage
Date: Fri, 09 Oct 2009 18:03:41 +0200
Package: epiphany-browser
Version: 2.28.0-4
Severity: important

I just installed epiphany browser on kFreeBSD. Opening any webpage
takes browser down immedietly.

Debugging in gdb is currently impossible.

This is only one message i get in console:
Segmentation fault

in dmesg:
pid 9140 (epiphany-browser), uid 1000: exited on signal 11

Crash occurs just after i hit Enter key in address bar (as far as i can see some network connection are started). practically any web address triggers this: http://www.onet.pl/ or shorter, onet.pl, or http://www.google.com or anything. What is interesting on http://www.debian.org/ (which is also homepage) i got not segmentation fault but this page:

Unable to load page
Problem occurred while loading the URL http://www.debian.org/
Cannot connect to destination
button: "Try again"

if i hit Ctrl-R or click Refresh button, i still have this webpage. If i hit "Try Again", epiphany crashes with segmentation fault.

I have working network access. I'm using xfce4 with polish locales (which also doesn't work correctly), becasue gnome is currently not instalable.

If i eneter file:/// i got similar:

Unable to load page
Problem occurred while loading the URL file:///
Try again



If I enter not existing address i correctly receive error:

Unable to load page
Problem occurred while loading the URL http://www.akshd8ayskjaldskdj.org/
Cannot resolve hostname
Try again



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages epiphany-browser depends on:
ii  dbus-x11                    1.2.16-2     simple interprocess messaging syst
ii  epiphany-browser-data       2.28.0-4     Data files for the GNOME web brows
ii  gnome-icon-theme            2.28.0-1     GNOME Desktop icon theme
ii  iso-codes                   3.11-1       ISO language, territory, currency,
ii  libavahi-client3            0.6.25-1     Avahi client library
ii  libavahi-common3            0.6.25-1     Avahi common library
ii  libavahi-gobject0           0.6.25-1     Avahi GObject library
ii  libc0.1                     2.9-27       GNU C Library: Shared libraries
ii  libdbus-1-3                 1.2.16-2     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.82-2       simple interprocess messaging syst
ii  libgconf2-4                 2.26.2-3     GNOME configuration database syste
ii  libgirepository1.0-0        0.6.5-2      Library for handling GObject intro
ii  libglib2.0-0                2.22.1-1     The GLib library of C routines
ii  libgnome-keyring0           2.26.1-1     GNOME keyring services library
ii  libgtk2.0-0                 2.18.2-1     The GTK+ graphical user interface 
ii  libice6                     2:1.0.5-1    X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1-gtk2 0.4.5-1      sends desktop notifications to a n
ii  libnspr4-0d                 4.8-1        NetScape Portable Runtime Library
ii  libnss3-1d                  3.12.3.1-1   Network Security Service libraries
ii  libpango1.0-0               1.26.0-1     Layout and rendering of internatio
ii  libseed0                    2.28.0-1     GObject JavaScript bindings for th
ii  libsm6                      2:1.1.1-1    X11 Session Management library
ii  libsoup-gnome2.4-1          2.28.0-1     an HTTP library implementation in 
ii  libsoup2.4-1                2.28.0-1     an HTTP library implementation in 
ii  libwebkit-1.0-2             1.1.15.2-1   Web content engine library for Gtk
ii  libx11-6                    2:1.2.2-1    X11 client-side library
ii  libxml2                     2.7.5.dfsg-1 GNOME XML library
ii  libxslt1.1                  1.1.26-1     XSLT processing library - runtime 

Versions of packages epiphany-browser recommends:
ii  yelp                     2.28.0+webkit-1 Help browser for GNOME

Versions of packages epiphany-browser suggests:
pn  mozplugger                    <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Fri, 09 Oct 2009 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu27@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Fri, 09 Oct 2009 16:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 550362@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu27@gmail.com>
To: Witold Baryluk <baryluk@smp.if.uj.edu.pl>, 550362@bugs.debian.org
Subject: Re: Bug#550362: epiphany-browser: Crash loading any webpage
Date: Fri, 09 Oct 2009 17:49:34 +0200
[Message part 1 (text/plain, inline)]
Witold Baryluk wrote:
> Package: epiphany-browser
> Version: 2.28.0-4
> Severity: important
> 
> I just installed epiphany browser on kFreeBSD. Opening any webpage
> takes browser down immedietly.
> 
> Debugging in gdb is currently impossible.

Why? Without a backtrace this is hard to debug.

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) moreinfo. Request was from Gustavo Noronha Silva <kov@debian.org> to control@bugs.debian.org. (Sat, 10 Oct 2009 13:30:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Sat, 10 Oct 2009 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 550362@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 10 Oct 2009 13:36:06 GMT) Full text and rfc822 format available.

Message #17 received at 550362@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <kov@debian.org>
To: 550362@bugs.debian.org
Cc: Witold Baryluk <baryluk@smp.if.uj.edu.pl>
Subject: Does it work with a newer webkit?
Date: Sat, 10 Oct 2009 10:20:59 -0300
Hey,

With no backtrace the bug report is not that useful, but I think the
problem you hit is the same linux-i386 problems had, which has been
fixed in 1.1.15.2, if I'm not mistaken. Can you test with that version,
and let us know if it fixes it, and, if not, provide a backtrace?

Thanks,

-- 
Gustavo Noronha Silva <kov@debian.org>
Debian





Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Tue, 08 Dec 2009 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Schenck <schenck@gmx.de>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 08 Dec 2009 21:12:04 GMT) Full text and rfc822 format available.

Message #22 received at 550362@bugs.debian.org (full text, mbox):

From: Ulrich Schenck <schenck@gmx.de>
To: Debian Bug Tracking System <550362@bugs.debian.org>
Subject: Re: Crash loading any webpage
Date: Tue, 08 Dec 2009 22:08:54 +0100
[Message part 1 (text/plain, inline)]
Package: epiphany-browser
Version: 2.29.3-1
Severity: normal

I have the same problem.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.31.6 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages epiphany-browser depends on:
ii  dbus-x11                    1.2.16-2     simple interprocess messaging syst
ii  epiphany-browser-data       2.29.3-1     Data files for the GNOME web brows
ii  gnome-icon-theme            2.28.0-1     GNOME Desktop icon theme
ii  iso-codes                   3.11.1-1     ISO language, territory, currency,
ii  libavahi-client3            0.6.25-2     Avahi client library
ii  libavahi-common3            0.6.25-2     Avahi common library
ii  libavahi-gobject0           0.6.25-2     Avahi GObject library
ii  libc6                       2.10.2-2     GNU C Library: Shared libraries
ii  libdbus-1-3                 1.2.16-2     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.82-2       simple interprocess messaging syst
ii  libgconf2-4                 2.28.0-1     GNOME configuration database syste
ii  libgirepository1.0-0        0.6.5-4      Library for handling GObject intro
ii  libglib2.0-0                2.22.3-1     The GLib library of C routines
ii  libgnome-keyring0           2.28.1-2     GNOME keyring services library
ii  libgtk2.0-0                 2.18.3-1     The GTK+ graphical user interface 
ii  libice6                     2:1.0.6-1    X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1-gtk2 0.4.5-1      sends desktop notifications to a n
ii  libnspr4-0d                 4.8.2-1      NetScape Portable Runtime Library
ii  libnss3-1d                  3.12.4-1     Network Security Service libraries
ii  libpango1.0-0               1.26.1-1     Layout and rendering of internatio
ii  libseed0                    2.28.0-2     GObject JavaScript bindings for th
ii  libsm6                      2:1.1.1-1    X11 Session Management library
ii  libsoup-gnome2.4-1          2.28.1-3     an HTTP library implementation in 
ii  libsoup2.4-1                2.28.1-3     an HTTP library implementation in 
ii  libwebkit-1.0-2             1.1.16-3     Web content engine library for Gtk
ii  libx11-6                    2:1.3.2-1    X11 client-side library
ii  libxml2                     2.7.6.dfsg-1 GNOME XML library
ii  libxslt1.1                  1.1.26-1     XSLT processing library - runtime 

Versions of packages epiphany-browser recommends:
ii  yelp                     2.28.0+webkit-1 Help browser for GNOME

Versions of packages epiphany-browser suggests:
pn  mozplugger                    <none>     (no description available)

-- no debconf information
[epiphany-Fehlerbericht.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Sat, 27 Feb 2010 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to apelete@seketeli.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 27 Feb 2010 17:48:05 GMT) Full text and rfc822 format available.

Message #27 received at 550362@bugs.debian.org (full text, mbox):

From: Apelete Seketeli <apelete@seketeli.org>
To: 550362@bugs.debian.org
Cc: Witold Baryluk <baryluk@smp.if.uj.edu.pl>, Ulrich Schenck <schenck@gmx.de>
Subject: Re: Crash loading any webpage
Date: Sat, 27 Feb 2010 18:44:31 +0100
Hi,

This bug seems to be a duplicate of #550001 which has been marked as
fixed.
It will be closed consequently, please reopen if you experience the
problem again with any new version.





Forcibly Merged 550001 550362. Request was from Apelete Seketeli <apelete@seketeli.org> to control@bugs.debian.org. (Sat, 27 Feb 2010 17:48:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Sat, 27 Feb 2010 23:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Schenck <schenck@gmx.de>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 27 Feb 2010 23:12:09 GMT) Full text and rfc822 format available.

Message #34 received at 550362@bugs.debian.org (full text, mbox):

From: Ulrich Schenck <schenck@gmx.de>
To: Debian Bug Tracking System <550362@bugs.debian.org>
Subject: epiphany-browser: please reopen, still crashes
Date: Sun, 28 Feb 2010 00:07:07 +0100
[Message part 1 (text/plain, inline)]
Package: epiphany-browser
Version: 2.29.91-1
Severity: normal

Hi,

I've upgrded epiphanybrowser and its dependencies to the new version from unstable, but it still crashes. 
Please see the attached new trace taken from bug-buddy and also the result from gdb:
~: gdb
GNU gdb (GDB) 7.0.1-debian
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
(gdb) run epiphany-browser
Starting program:  epiphany-browser
No executable file specified.
Use the "file" or "exec-file" command.
(gdb) exec-file epiphany-browser
(gdb) run
Starting program: /usr/bin/epiphany-browser epiphany-browser
[Thread debugging using libthread_db enabled]
[New Thread 0xb3b57b70 (LWP 13237)]
[New Thread 0xb322eb70 (LWP 13238)]
[New Thread 0xb2a2db70 (LWP 13239)]
[Thread 0xb2a2db70 (LWP 13239) exited]

(epiphany:13103): GLib-GObject-WARNING **: IA__g_object_set_valist: object class `SoupSessionAsync' has no property named `ssl-strict'
[New Thread 0xb2a2db70 (LWP 13246)]
[New Thread 0xb1bbfb70 (LWP 13247)]
[New Thread 0xb11ffb70 (LWP 13316)]
[New Thread 0xb09feb70 (LWP 13317)]
[New Thread 0xb01fdb70 (LWP 13319)]
[New Thread 0xaf9fcb70 (LWP 13322)]
[New Thread 0xaf1fbb70 (LWP 13324)]
[New Thread 0xae9fab70 (LWP 13325)]
[New Thread 0xae1f9b70 (LWP 13326)]
[New Thread 0xad9f8b70 (LWP 13333)]
[New Thread 0xad1f7b70 (LWP 13335)]
[New Thread 0xac9f6b70 (LWP 13336)]
[New Thread 0xac1f5b70 (LWP 13337)]
[Thread 0xac9f6b70 (LWP 13336) exited]
[Thread 0xac1f5b70 (LWP 13337) exited]
[Thread 0xad1f7b70 (LWP 13335) exited]
[Thread 0xb2a2db70 (LWP 13246) exited]
[Thread 0xae9fab70 (LWP 13325) exited]
[Thread 0xaf1fbb70 (LWP 13324) exited]
[Thread 0xad9f8b70 (LWP 13333) exited]
[Thread 0xb11ffb70 (LWP 13316) exited]
[Thread 0xae1f9b70 (LWP 13326) exited]
[Thread 0xb01fdb70 (LWP 13319) exited]
[Thread 0xb09feb70 (LWP 13317) exited]
[Thread 0xb1bbfb70 (LWP 13247) exited]
[Thread 0xaf9fcb70 (LWP 13322) exited]
[New Thread 0xaf9fcb70 (LWP 13398)]
[Thread 0xaf9fcb70 (LWP 13398) exited]
[New Thread 0xaf9fcb70 (LWP 13400)]
[Thread 0xaf9fcb70 (LWP 13400) exited]
[New Thread 0xaf9fcb70 (LWP 13402)]
[Thread 0xaf9fcb70 (LWP 13402) exited]
[New Thread 0xaf9fcb70 (LWP 13403)]
[New Thread 0xb1bbfb70 (LWP 13404)]
** (epiphany:13103): DEBUG: NP_Initialize
** (epiphany:13103): DEBUG: NP_Initialize succeeded
** (epiphany:13103): DEBUG: NP_Initialize
** (epiphany:13103): DEBUG: NP_Initialize succeeded
[Thread 0xaf9fcb70 (LWP 13403) exited]
[Thread 0xb1bbfb70 (LWP 13404) exited]
** (epiphany:13103): DEBUG: NP_Initialize
** (epiphany:13103): DEBUG: NP_Initialize succeeded
** (epiphany:13103): DEBUG: NP_Initialize
** (epiphany:13103): DEBUG: NP_Initialize succeeded

(epiphany:13103): GLib-CRITICAL **: g_strsplit: assertion `string != NULL' failed

Program received signal SIGSEGV, Segmentation fault.
WebCore::PluginPackage::fetchInfo (this=0xb2889540)
    at ../WebCore/plugins/gtk/PluginPackageGtk.cpp:73
73	../WebCore/plugins/gtk/PluginPackageGtk.cpp: Datei oder Verzeichnis nicht gefunden.
	in ../WebCore/plugins/gtk/PluginPackageGtk.cpp
Current language:  auto
The current source language is "auto; currently c++".
(gdb) 




-- System Information:
Debian Release: squeeze/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.9 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages epiphany-browser depends on:
ii  dbus-x11                 1.2.20-2        simple interprocess messaging syst
ii  epiphany-browser-data    2.29.91-1       Data files for the GNOME web brows
ii  gnome-icon-theme         2.28.0-1        GNOME Desktop icon theme
ii  iso-codes                3.13-1          ISO language, territory, currency,
ii  libavahi-client3         0.6.25-3        Avahi client library
ii  libavahi-common3         0.6.25-3        Avahi common library
ii  libavahi-gobject0        0.6.25-3        Avahi GObject library
ii  libc6                    2.10.2-6        Embedded GNU C Library: Shared lib
ii  libdbus-1-3              1.2.20-2        simple interprocess messaging syst
ii  libdbus-glib-1-2         0.84-1          simple interprocess messaging syst
ii  libgconf2-4              2.28.0-1        GNOME configuration database syste
ii  libgirepository1.0-0     0.6.7-3         Library for handling GObject intro
ii  libglib2.0-0             2.22.4-1        The GLib library of C routines
ii  libgnome-keyring0        2.28.2-1        GNOME keyring services library
ii  libgtk2.0-0              2.18.6-1        The GTK+ graphical user interface 
ii  libice6                  2:1.0.6-1       X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1-g 0.4.5-1         sends desktop notifications to a n
ii  libnspr4-0d              4.8.3-1         NetScape Portable Runtime Library
ii  libnss3-1d               3.12.5-2        Network Security Service libraries
ii  libpango1.0-0            1.26.2-1        Layout and rendering of internatio
ii  libseed0                 2.28.1-1        GObject JavaScript bindings for th
ii  libsm6                   2:1.1.1-1       X11 Session Management library
ii  libsoup-gnome2.4-1       2.29.91-1       an HTTP library implementation in 
ii  libsoup2.4-1             2.29.90-1       an HTTP library implementation in 
ii  libwebkit-1.0-2          1.1.22-1        Web content engine library for Gtk
ii  libx11-6                 2:1.3.3-1       X11 client-side library
ii  libxml2                  2.7.6.dfsg-2+b1 GNOME XML library
ii  libxslt1.1               1.1.26-1+b1     XSLT processing library - runtime 

Versions of packages epiphany-browser recommends:
ii  ca-certificates          20090814        Common CA certificates
ii  evince                   2.28.2-1        Document (postscript, pdf) viewer
ii  yelp                     2.28.0+webkit-2 Help browser for GNOME

epiphany-browser suggests no packages.

-- no debconf information
[epiphany-Fehlerbericht2.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#550362; Package epiphany-browser. (Sat, 27 Feb 2010 23:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Sat, 27 Feb 2010 23:18:05 GMT) Full text and rfc822 format available.

Message #39 received at 550362@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Ulrich Schenck <schenck@gmx.de>, 550362@bugs.debian.org
Subject: Re: Bug#550362: epiphany-browser: please reopen, still crashes
Date: Sun, 28 Feb 2010 00:15:52 +0100
[Message part 1 (text/plain, inline)]
Le dimanche 28 février 2010 à 00:07 +0100, Ulrich Schenck a écrit : 
> Package: epiphany-browser
> Version: 2.29.91-1
> Severity: normal
> 
> Hi,
> 
> I've upgrded epiphanybrowser and its dependencies to the new version from unstable, but it still crashes. 

Please don’t hijack bugs.

This is another issue than #550362, please open a new bug report for it.

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Wed, 08 Sep 2010 19:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 08 Sep 2010 19:45:08 GMT) Full text and rfc822 format available.

Message #44 received at 550362@bugs.debian.org (full text, mbox):

From: "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>
To: 550362@bugs.debian.org
Subject: Re: epiphany-browser: Crash loading any webpage [kfreebsd]
Date: Wed, 8 Sep 2010 21:31:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

i think this bug is still valid.

I have used kfreebsd-i386 in qemu, with epiphany 2.30.2-3,
and it still crashes in exactly same way on kfreebsd testing.

gdb show slightly more (probably some fixes in gdb),
but i installed lots of -dbg packages, but still half of
IP are ??.

This bug is different than 550001. In my case just after hitting
enter, or "try again", epiphany crashes instantly. DNS address must be
valid, something is fetched (i see traffic to :80 in tcpdump),
but nothing renders. Opening even simplest HTML file from local filesystem,
also crashes it in the same way.

kernel GNU/kFreeBSD 8.1-1-686

Consider unmerging and reopening. Will 



gdb backtrace:

--------------
baryluk@debian:~$ gdb `which epiphany-browser`
GNU gdb (GDB) 7.0.1-debian
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-kfreebsd-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/epiphany-browser...Reading symbols from /usr/lib/debug/usr/bin/epiphany-browser...done.
(no debugging symbols found)...done.
(gdb) r
Starting program: /usr/bin/epiphany-browser 

Program received signal ?, Unknown signal.
0x29afb0b7 in ?? ()
(gdb) bt
#0  0x29afb0b7 in ?? ()
#1  0x29af9f18 in ?? ()
#2  0x29afb005 in ?? ()
#3  0x28e7098e in ?? ()
#4  0x28e7155e in ?? ()
#5  0x28e758f9 in ?? ()
#6  0x28dad0cc in ?? ()
#7  0x28d93b60 in ?? ()
#8  0x28cc935e in ?? ()
#9  0x28cda380 in ?? ()
#10 0x2993340e in ?? ()
#11 0x29919392 in ?? ()
#12 0x29919918 in ?? ()
#13 0x28cd92b3 in ?? ()
#14 0x080c363f in ephy_embed_prefs_init () at ephy-embed-prefs.c:498
#15 0x080bd747 in ephy_embed_single_initialize (single=0x833d198)
    at ephy-embed-single.c:481
#16 0x080bf113 in impl_get_embed_single (shell=0x8167048)
    at ephy-embed-shell.c:250
#17 0x080773e3 in impl_get_embed_single (embed_shell=0x8167048)
    at ephy-shell.c:217
#18 0x080be3b1 in ephy_embed_shell_get_embed_single (shell=0x8167048)
    at ephy-embed-shell.c:282
---Type <return> to continue, or q <return> to quit---
#19 0x08081047 in ephy_window_constructor (type=135680696, 
    n_construct_properties=4, construct_params=0x81a4fb0) at ephy-window.c:3735
#20 0x29918b1c in ?? ()
#21 0x299197dc in ?? ()
#22 0x299198f7 in ?? ()
#23 0x0807a351 in ephy_window_new_with_chrome (chrome=15, is_popup=0)
    at ephy-window.c:3817
#24 0x0807689a in ephy_shell_new_tab_full (shell=0x8167048, parent_window=0x0, 
    previous_embed=0x81553dc, request=0x0, flags=1025, chrome=15, is_popup=0, 
    user_time=7292155) at ephy-shell.c:461
#25 0x0807516c in session_command_dispatch (session=0x815b690)
    at ephy-session.c:710
#26 0x299893c1 in ?? ()
#27 0x2998b3f5 in ?? ()
#28 0x2998eff8 in ?? ()
#29 0x2998f537 in ?? ()
#30 0x2946bfe9 in ?? ()
#31 0x080719fb in main (argc=1, argv=0xbfbfe59c) at ephy-main.c:741
(gdb) 







-- 
Witold Baryluk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Tue, 05 Oct 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 05 Oct 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #49 received at 550362@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 550362@bugs.debian.org
Cc: control@bugs.debian.org, "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: epiphany-browser: Crash loading any webpage [kfreebsd]
Date: Tue, 05 Oct 2010 23:31:42 +0100
[Message part 1 (text/plain, inline)]
user debian-bsd@lists.debian.org
usertag 550362 + kfreebsd
thanks

We believe this issue is cause by the Javascript JIT in webkit, see
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598956>.

Please can you do the following in Epiphany:
1. In Edit-Preferences->Privacy untick "Enable JavaScript".
2. Restart Epiphany
3. Visit a website that isn't your homepage, say, <http://bugs.debian.org/>.

Does that work?

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#550362; Package epiphany-browser. (Wed, 06 Oct 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 06 Oct 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #54 received at 550362@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 550362@bugs.debian.org
Cc: control@bugs.debian.org, "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: epiphany-browser: Crash loading any webpage [kfreebsd]
Date: Wed, 06 Oct 2010 23:22:26 +0100
[Message part 1 (text/plain, inline)]
reassign 550362 libwebkit-1.0-2
found 550362 1.2.4-1
thanks

I believe that this is the same as <http://bugs.debian.org/559925>.
Epiphany doesn't crash if you build webkit without the Javascript JIT or
in Epiphany in Edit-Preferences->Privacy untick "Enable JavaScript". The
bug only affects kfreebsd-i386 and not kfreebsd-amd64. Please consider
merging with 559925.

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'epiphany-browser' to 'libwebkit-1.0-2'. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Wed, 06 Oct 2010 22:33:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions epiphany-browser/2.29.3-1, epiphany-browser/2.28.0-4, and epiphany-browser/2.29.91-1. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Wed, 06 Oct 2010 22:33:08 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 2.29.90.1-2. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Wed, 06 Oct 2010 22:33:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.4-1 and reopened. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Wed, 06 Oct 2010 22:33:10 GMT) Full text and rfc822 format available.

Disconnected #550001 from all other report(s). Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 11:06:07 GMT) Full text and rfc822 format available.

Added indication that 550362 affects epiphany-browser Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 11:28:53 GMT) Full text and rfc822 format available.

Forcibly Merged 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 11:28:54 GMT) Full text and rfc822 format available.

Forcibly Merged 547177 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.5-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:26 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:29 GMT) Full text and rfc822 format available.

Information stored :
Bug#550362; Package libwebkit-1.0-2. (Sun, 07 Nov 2010 11:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Sun, 07 Nov 2010 11:27:05 GMT) Full text and rfc822 format available.

Message #79 received at 550362-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 598956@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#598956: javascript segfaults in webkit on kfreebsd-i386
Date: Sun, 7 Nov 2010 10:09:26 +0100 (CET)
found 598956 1.2.5-2
severity 598956 serious
--

Hi,

it brokes many browsers on kfreebsd-i386, please apply (now) tested patch,
which is in

Message #64 received at 598956@bugs.debian.org
Message #69 received at 598956@bugs.debian.org

The patch itself is just adding four times "|| defined(__GLIBC__)".

Thanks

	Petr





Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 10:00:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Jan 2011 07:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:27:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.